Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

USN-5902-1: PHP vulnerabilities

28 February 2023

Several security issues were fixed in PHP.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Releases

Packages

  • php7.2 - HTML-embedded scripting language interpreter
  • php7.4 - HTML-embedded scripting language interpreter
  • php8.1 - HTML-embedded scripting language interpreter

Details

It was discovered that PHP incorrectly handled certain invalid Blowfish
password hashes. An invalid password hash could possibly allow applications
to accept any password as valid, contrary to expectations. (CVE-2023-0567)

It was discovered that PHP incorrectly handled resolving long paths. A
remote attacker could possibly use this issue to obtain or modify sensitive
information. (CVE-2023-0568)

It was discovered that PHP incorrectly handled a large number of parts in
HTTP form uploads. A remote attacker could possibly use this issue to cause
PHP to consume resources, leading to a denial of service. (CVE-2023-0662)

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Related notices

  • USN-5905-1: php7.0-fpm, php7.0-bcmath, php7.0-enchant, libapache2-mod-php7.0, php7.0-intl, php7.0-cli, php7.0-mcrypt, php7.0-pgsql, php7.0, php7.0-xsl, php7.0-odbc, php7.0-snmp, php7.0-mysql, php7.0-xml, php7.0-sqlite3, php7.0-dba, php7.0-tidy, php7.0-curl, php7.0-cgi, php7.0-interbase, php7.0-ldap, php7.0-readline, php7.0-mbstring, php7.0-recode, php7.0-bz2, php7.0-gd, php7.0-pspell, libphp7.0-embed, php7.0-xmlrpc, php7.0-zip, php7.0-json, php7.0-imap, php7.0-opcache, php7.0-sybase, php7.0-common, php7.0-gmp, php7.0-phpdbg, php7.0-soap, php7.0-dev
  • USN-6053-1: php7.0-fpm, php7.0-bcmath, php7.0-enchant, libapache2-mod-php7.0, php7.0-intl, php7.0-cli, php7.0-mcrypt, php7.0-pgsql, php7.0, php7.0-xsl, php7.0-odbc, php7.0-snmp, php7.0-mysql, php7.0-xml, php7.0-sqlite3, php7.0-dba, php7.0-tidy, php7.0-curl, php7.0-cgi, php7.0-interbase, php7.0-ldap, php7.0-readline, php7.0-mbstring, php7.0-recode, php7.0-bz2, php7.0-gd, php7.0-pspell, libphp7.0-embed, php7.0-xmlrpc, php7.0-zip, php7.0-json, php7.0-imap, php7.0-opcache, php7.0-sybase, php7.0-common, php7.0-gmp, php7.0-phpdbg, php7.0-soap, php7.0-dev